package com.ruoyi.system.domain.score;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 成绩对象 score_data
 * 
 * @author boman
 * @date 2023-07-20
 */
public class ScoreData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考试id */
    private Long scoreId;

    /** 考试名称 */
    @Excel(name = "考试名称")
    private String scoreTitle;

    /** 考试时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "考试时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date scoreTime;

    /** 接收班级id */
    @Excel(name = "接收班级id")
    private String scoreClassId;

    /** 接收班级名称 */
    @Excel(name = "接收班级名称")
    private String scoreClassName;

    /** 隐私设置 1:仅自己 2:仅本班 3:全部 */
    @Excel(name = "隐私设置 1:仅自己 2:仅本班 3:全部")
    private String privacyType;
    /**
     * 已查看
     */
    private Double chaKan;
    /**
     * 未查看
     */
    private Double weiChaKan;

    /**
     * 查看率
     */
    private String percentage;

    /** 成绩_子信息 */
    private List<ScoreDataDetails> scoreDataDetailsList;

    public Double getChaKan() {
        return chaKan;
    }

    public void setChaKan(Double chaKan) {
        this.chaKan = chaKan;
    }

    public Double getWeiChaKan() {
        return weiChaKan;
    }

    public void setWeiChaKan(Double weiChaKan) {
        this.weiChaKan = weiChaKan;
    }

    public String getPercentage() {
        return percentage;
    }

    public void setPercentage(String percentage) {
        this.percentage = percentage;
    }

    public void setScoreId(Long scoreId)
    {
        this.scoreId = scoreId;
    }

    public Long getScoreId() 
    {
        return scoreId;
    }
    public void setScoreTitle(String scoreTitle) 
    {
        this.scoreTitle = scoreTitle;
    }

    public String getScoreTitle() 
    {
        return scoreTitle;
    }
    public void setScoreTime(Date scoreTime) 
    {
        this.scoreTime = scoreTime;
    }

    public Date getScoreTime() 
    {
        return scoreTime;
    }

    public String getScoreClassId() {
        return scoreClassId;
    }

    public void setScoreClassId(String scoreClassId) {
        this.scoreClassId = scoreClassId;
    }

    public void setScoreClassName(String scoreClassName)
    {
        this.scoreClassName = scoreClassName;
    }

    public String getScoreClassName() 
    {
        return scoreClassName;
    }
    public void setPrivacyType(String privacyType) 
    {
        this.privacyType = privacyType;
    }

    public String getPrivacyType() 
    {
        return privacyType;
    }

    public List<ScoreDataDetails> getScoreDataDetailsList()
    {
        return scoreDataDetailsList;
    }

    public void setScoreDataDetailsList(List<ScoreDataDetails> scoreDataDetailsList)
    {
        this.scoreDataDetailsList = scoreDataDetailsList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreId", getScoreId())
            .append("scoreTitle", getScoreTitle())
            .append("scoreTime", getScoreTime())
            .append("scoreClassId", getScoreClassId())
            .append("scoreClassName", getScoreClassName())
            .append("privacyType", getPrivacyType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("scoreDataDetailsList", getScoreDataDetailsList())
            .toString();
    }
}
